Okay, so I can't get the first driver package that I need. When I open the link it says "invalid or deleted file". Anyone know of a mirror or even which file I need so I can look for it? Many thanks.